import 'package:fis_i18n/i18n.dart';
import 'package:fis_measure/view/measure/measure_config/measure_configuation_page.dart';
import 'package:fis_measure/view/measure/measure_config/widgets/measure_configuration_style.dart';
import 'package:fis_measure/view/measure/operate_type_change_button.dart';
import 'package:fis_theme/theme.dart';
import 'package:fis_ui/index.dart';
import 'package:fis_ui/interface/interactive_container.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

/// 工具箱 样式配置之类
class LeftSiderHold extends StatelessWidget implements FWidget {
  const LeftSiderHold({Key? key, this.ifHideConfig = false}) : super(key: key);
  final bool ifHideConfig; // 是否隐藏测量项配置入口

  @override
  FWidget build(BuildContext context) {
    return FContainer(
      width: 300,
      padding: const EdgeInsets.symmetric(
        horizontal: 10,
        vertical: 15,
      ),
      child: FColumn(
        // key: UniqueKey(),
        mainAxisSize: MainAxisSize.max,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          FRow(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              // 工具箱文案
              FText(
                i18nBook.measure.toolbox.t,
                style: const TextStyle(
                  color: Colors.white,
                ),
              ),
              LeftSiderHoldAllStyleConfig(ifHideConfig: ifHideConfig),
            ],
          ),
          // const _LeftSiderTabBar(),
          // _LeftSelectInput(),
          // _LeftPulldown(),
        ],
      ),
    );
  }
}

/// 测量样式 和配置
class LeftSiderHoldAllStyleConfig extends StatelessWidget
    implements FInteractiveContainer {
  const LeftSiderHoldAllStyleConfig({Key? key, this.ifHideConfig = false})
      : super(key: key);
  final bool ifHideConfig; // 是否隐藏测量项配置入口
  @override
  final String pageName = 'LeftSiderHoldAllStyleConfig';
  @override
  FWidget build(BuildContext context) {
    return FRow(
      children: [
        FTextButton(
          businessParent: this,
          name: "toMeasureConfigurationPage",
          onPressed: () {
            Get.dialog(
              MeasureConfigurationPage(ifHideConfig: ifHideConfig),
            );
          },
          child: FText(
            i18nBook.user.setting.t,
            style: TextStyle(
              color: FTheme.ins.colorScheme.primary,
            ),
          ),
        )
      ],
    );
  }
}
